Skip to main content
`Ctrl`+`K`

# get_dependent_world_axes

ndcube.utils.wcs.get_dependent_world_axes(world_axis, axis_correlation_matrix)

  Given a WCS world axis index, return indices of dependent WCS world axes.

  Both input and output axis indices are in the WCS ordering convention (reverse of numpy ordering convention). The returned axis indices include the input axis.

  Parameters:

    - world_axis (`int`) – Index of axis (in WCS ordering convention) for which dependent axes are desired.

    - axis_correlation_matrix (`numpy.ndarray` of `bool`) – 2D boolean correlation matrix defining the dependence between the pixel and world axes. Format same as `astropy.wcs.wcsapi.BaseLowLevelWCS.axis_correlation_matrix`.

  Returns:

    dependent_world_axes – Sorted indices of pixel axes dependent on input axis in WCS ordering convention.

  Return type:

    `numpy.ndarray` of `int`